Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.base.attributes.IndexedCollectable

class `mvpa2.base.attributes.``IndexedCollectable`(index=None, *args, **kwargs)

  Collectable with position information specified with index

  Derived classes will have specific semantics:

  - ConditionalAttribute: conditional storage
  - Parameter: attribute with validity ranges.

  `IndexedAttributes` instances are to be automagically grouped into corresponding collections for each class by `StateCollector` metaclass, i.e. it would be done on a class creation (i.e. not per each instance). Upon instance creation those collection templates will be copied for the instance.

  Methods

  `reset`() | Simply reset the flag

  Parameters:

  value : arbitrary (see derived implementations)

  > The actual value of this attribute.

  **kwargs :

  > Passed to `Collectable`

  Methods

  `reset`() | Simply reset the flag

  `is_set`
  `reset`()

    Simply reset the flag

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »